#
# spec file for package python3-traitlets
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-traitlets
Version:        4.2.2
Release:        1.2
Summary:        Traitlets Python config system
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://ipython.org
Source:         https://files.pythonhosted.org/packages/source/t/traitlets/traitlets-%{version}.tar.gz
BuildRequires:  python3-decorator
BuildRequires:  python3-devel
BuildRequires:  python3-ipython_genutils
BuildRequires:  python3-nose
BuildRequires:  python3-setuptools
Requires:       python3-decorator
Requires:       python3-ipython_genutils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A configuration system for Python applications.

%prep
%setup -q -n traitlets-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
nosetests

%files
%defattr(-,root,root,-)
%doc examples/
%{python3_sitelib}/*

%changelog
* Sat Jul  2 2016 arun@gmx.de
- update to version 4.2.2:
  * Partially revert a change in 4.1 that prevented IPython’s
    command-line options from taking priority over config files.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Tue Mar 15 2016 arun@gmx.de
- update to version 4.2.1:
  * demote super().__init__ argument warning to deprecation
- changes from version 4.2.0:
  * JSONFileConfigLoader can be used as a context manager for updating
    configuration.
  * If a value in config does not map onto a configurable trait, a
    message is displayed that the value will have no effect.
  * Unused arguments are passed to super() in HasTraits.__init__,
    improving support for multiple inheritance.
  * Various bugfixes and improvements in the new API introduced in
    4.1.
  * Application subclasses may specify raise_config_file_errors = True
    to exit on failure to load config files, instead of the default of
    logging the failures.
* Sat Jan 16 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 4.1.0:
  * Traitlets 4.1 introduces a totally new decorator-based API for
    configuring traitlets. Highlights:
    + Decorators are used, rather than magic method names, for
    registering trait-related methods. See Using Traitlets and
    Migration from Traitlets 4.0 to Traitlets 4.1 for more info.
    + Deprecate Trait(config=True) in favor of
    Trait().tag(config=True). In general, metadata is added via tag
    instead of the constructor.
  * Other changes:
    + Trait attributes initialized with read_only=True can only be set
    with the set_trait method. Attempts to directly modify a read-only
    trait attribute raises a TraitError.
    + The directional link now takes an optional transform attribute
    allowing the modification of the value.
    + Various fixes and improvements to config-file generation (fixed
    ordering, Undefined showing up, etc.)
    + Warn on unrecognized traits that aren’t configurable, to avoid
    silently ignoring mistyped config.
* Fri Aug 14 2015 toddrme2178@gmail.com
- Fix package naming consistency
* Thu Aug 13 2015 toddrme2178@gmail.com
- Update dependency names
* Tue Jul 21 2015 toddrme2178@gmail.com
- Initial version
